# Class ExceptionComponentMaker

java.lang.Object
uk.ac.starlink.datanode.nodes.ExceptionComponentMaker

All Implemented Interfaces:
  `ComponentMaker`

public class ExceptionComponentMaker extends Object implements ComponentMaker
ComponentMaker which displays an error when activated.

## Constructor Summary

Constructors
Constructor
Description
`ExceptionComponentMaker(Throwable th)`

## Method Summary

Modifier and Type
Method
Description
`JComponent`
`getComponent()`
Return a Component.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExceptionComponentMaker

public ExceptionComponentMaker(Throwable th)

## Method Details

### getComponent

public JComponent getComponent()
Description copied from interface: `ComponentMaker`
Return a Component. It is only expected that this method will be called once for each instance of this class.

Specified by:
  `getComponent` in interface `ComponentMaker`
Returns:
  the Component